Package wx :: Module richtext :: Class RichTextLine

[frames | no frames]

## Type RichTextLine

    object --+
             |
            RichTextLine

This object represents a line in a paragraph, and stores offsets from the start of the paragraph representing the start and end positions of the line.

Method Summary
RichTextLine | ``__init__`(self, parent)` This object represents a line in a paragraph, and stores offsets from the start of the paragraph representing the start and end positions of the line.
| `__del__(self)`
RichTextLine | `Clone(self)`
| `Copy(self, obj)`
Point | `GetAbsolutePosition(self)`
RichTextRange | `GetAbsoluteRange(self)`
int | `GetDescent(self)`
RichTextParagraph | `GetParent(self)`
Point | `GetPosition(self)`
RichTextRange | `GetRange(self)`
Rect | `GetRect(self)`
Size | `GetSize(self)`
| `Init(self, parent)`
| `SetDescent(self, descent)`
| `SetPosition(self, pos)`
| `SetRange(self, range)`
| `SetSize(self, sz)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, parent)
(Constructor)

This object represents a line in a paragraph, and stores offsets from the start of the paragraph representing the start and end positions of the line.

  Parameters:
    `parent`
    (type=RichTextParagraph)

  Returns:
    RichTextLine
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown-42968560(...)
  Set Method:
    unknown-42968680(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:42 2007 | http://epydoc.sf.net